Bug 259186 - net/gmid: update to 1.7.5
Summary: net/gmid: update to 1.7.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-15 14:38 UTC by Omar Polo
Modified: 2021-10-20 05:50 UTC (History)
1 user (show)

See Also:
fernape: merge-quarterly+


Attachments
update to 1.7.5 (774 bytes, patch)
2021-10-15 14:38 UTC, Omar Polo
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Omar Polo 2021-10-15 14:38:56 UTC
Created attachment 228722 [details]
update to 1.7.5

Hello,

Please find attached a patch to update net/gmid for the bugfix release 1.7.5.  The changelog is

 - don't die when a connection is closed before being accepted
   by gmid.  (i.e. handle ECONNRESET)

and is also available here: https://git.omarpolo.com/gmid/tag/?h=1.7.5
Comment 1 Fernando Apesteguía freebsd_committer 2021-10-19 13:55:58 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]


Thanks!
Comment 2 Omar Polo 2021-10-19 15:10:42 UTC
(In reply to Fernando Apesteguía from comment #1)

I didn't know that, apologies.  I'll make sure to remember it for the next update :)

Thanks
Comment 3 commit-hook freebsd_committer 2021-10-20 05:46:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9c333d9a51aaf4455c22565c22800fac7e6a2a42

commit 9c333d9a51aaf4455c22565c22800fac7e6a2a42
Author:     Omar Polo <freebsd@omarpolo.com>
AuthorDate: 2021-10-19 13:52:13 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-10-20 05:40:35 +0000

    net/gmid: update to 1.7.5

    Fixes a crash.

    ChangeLog: https://git.omarpolo.com/gmid/tag/?h=1.7.5

    PR:     259186
    Reported by:    freebsd@omarpolo.com
    MFH:    2021Q4 (bugfix release)

 net/gmid/Makefile | 2 +-
 net/gmid/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-10-20 05:50:29 UTC
A commit in branch 2021Q4 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=606cd656920d172365a740c9e73a655d33174b47

commit 606cd656920d172365a740c9e73a655d33174b47
Author:     Omar Polo <freebsd@omarpolo.com>
AuthorDate: 2021-10-19 13:52:13 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-10-20 05:43:26 +0000

    net/gmid: update to 1.7.5

    Fixes a crash.

    ChangeLog: https://git.omarpolo.com/gmid/tag/?h=1.7.5

    PR:     259186
    Reported by:    freebsd@omarpolo.com
    MFH:    2021Q4 (bugfix release)

    (cherry picked from commit 9c333d9a51aaf4455c22565c22800fac7e6a2a42)

 net/gmid/Makefile | 2 +-
 net/gmid/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2021-10-20 05:50:50 UTC
Committed and merged to 2021Q4

Thanks!